import { Injectable } from '@angular/core';
import { Observable } from "rxjs";
import { HttpClient, HttpHeaders, HttpParams, } from "@angular/common/http";
import { ApiRequestService } from "src/app/services/api/api-request.service";
import { environment } from 'src/environments/environment';
@Injectable({
  providedIn: 'root'
})
export class Product_selectionservice{
  private baseURL = "Product_selection/Product_selection" ;  constructor(
    private http: HttpClient,
    private apiRequest: ApiRequestService,
  ) { }
  getAll(page?: number, size?: number): Observable<any> {
    return this.apiRequest.get(this.baseURL);
  }
  getById(id: number): Observable<any> {
    const _http = this.baseURL + "/" + id;
    return this.apiRequest.get(_http);
  }
  create(data: any): Observable<any> {
    return this.apiRequest.post(this.baseURL, data);
  }
  update(id: number, data: any): Observable<any> {
    const _http = this.baseURL + "/" + id;
    return this.apiRequest.put(_http, data);
  }
  delete(id: number): Observable<any> {
    const _http = this.baseURL + "/" + id;
    return this.apiRequest.delete(_http);
  }


getAllmanufacturer(): Observable<any> {   
return this.apiRequest.get("Manufacturer_ListFilter1/Manufacturer_ListFilter1");  }

getAlltype(): Observable<any> {   
return this.apiRequest.get("Type_ListFilter1/Type_ListFilter1");  }

getAllproduct(): Observable<any> {   
return this.apiRequest.get("Productss_ListFilter1/Productss_ListFilter1");  }







// updateaction
// insert button code start
insertAdd_to_order_BtnProduct_selection(Product_selection: any): Observable<any> {
  return this.apiRequest.post(`Product_selection/Product_selection/Product_selection_insert`, Product_selection);
}

}